------------------- MODULE Chaleira -----------------------
EXTENDS Integers
VARIABLE chaleira

Init == chaleira = "temperatura_ambiente"

Ligar == chaleira = "temperatura_ambiente" /\ chaleira' = "esquentando"

Desligar == chaleira = "esquentando" /\ chaleira' = "esfriando"

DesligarPorSensor == chaleira = "esquentando" /\ chaleira' = "cem_graus"

Estabilizar ==
     \/ chaleira = "cem_graus" /\ chaleira' = "esfriando"
     \/ chaleira = "esfriando" /\ chaleira' = "temperatura_ambiente"

Next == Ligar \/ Desligar \/ DesligarPorSensor \/ Estabilizar

EventualmenteCemGraus == (WF_chaleira(Next) /\ SF_chaleira(DesligarPorSensor)) =>
  <>(chaleira = "cem_graus")

============================================================
